# Evaluating Two Approaches to Assessing Student Progress in Cybersecurity Exercises

This repository contains supplementary materials for the following paper:

V. Švábenský, R. Weiss, J. Cook, J. Vykopal, P. Čeleda, J. Mache, R. Chudovský, A. Chattopadhyay.\
*Evaluating Two Approaches to Assessing Student Progress in Cybersecurity Exercises.*\
In Proceedings of the 53rd ACM Technical Symposium on Computer Science Education (SIGCSE '22), 2022.\
DOI: https://doi.org/10.1145/3478431.3499414

## Repository structure and contents

* `milestone_graphs`: Data, source code, generated graphs, and information about the Milestone graph models. See the [corresponding readme file](milestone_graphs/README.md) for details.
* `trainee_graphs`: Data, source code, generated graphs, and information about the Trainee graph models. See the [corresponding readme file](trainee_graphs/README.md) for details.

## License

All content in this repository is licensed under the open-source [MIT license](https://opensource.org/licenses/MIT).

## How to cite

If you use or build upon the materials, please use the BibTeX entry below to cite the original work.

```
@inproceedings{Svabensky2022evaluating,
    author    = {\v{S}v\'{a}bensk\'{y}, Valdemar and Weiss, Richard and Cook, Jack and Vykopal, Jan and \v{C}eleda, Pavel and Mache, Jens and Chudovsk\'{y}, Radoslav and Chattopadhyay, Ankur},
    title     = {{Evaluating Two Approaches to Assessing Student Progress in Cybersecurity Exercises}},
    booktitle = {Proceedings of the 53rd ACM Technical Symposium on Computer Science Education},
    series    = {SIGCSE 2022},
    location  = {Providence, RI, USA},
    year      = {2022},
    publisher = {Association for Computing Machinery},
    address   = {New York, NY, USA},
    numpages  = {7},    
    isbn      = {978-1-4503-9070-5},
    doi       = {10.1145/3478431.3499414},
}
```
