import utils
import argparse
import os


def add_edge_labels(graph):
    for _, _, edge_data in graph.edges(data=True):
        edge_data['label'] = utils.write_edge_label_extended(edge_data)
        edge_data['label'] += 'Req. nodes: [' + \
                              utils.write_req_nodes(edge_data['req_nodes'], graph) + ']\\l'


def add_node_colors(grah):
    for _, node_data in grah.nodes(data=True):
        node_data['color'] = utils.GOOD_GREEN


def draw_reference_graph(graph_path, draw_format):
    graph = utils.load_graph(graph_path)
    add_edge_labels(graph)
    add_node_colors(graph)
    result_path = os.path.splitext(graph_path)[0]
    utils.draw_graph(graph, result_path, draw_format, save_as_gv=False)
    print('drawn')


if __name__ == "__main__":
    arg_parser = argparse.ArgumentParser(
        description="Script for drawing reference graphs")

    arg_parser.add_argument("reference_graph",
                            help="path to the reference graph")
    arg_parser.add_argument("-f", "--format",
                            help="format of a generated graph")

    args = arg_parser.parse_args()
    draw_reference_graph(args.reference_graph, args.format)
